Skip to main content
`Ctrl`+`K`

# SVDSetBV

Associates basis vectors objects to the singular value solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetBV(SVD svd,BV V,BV U)

Collective

## Input Parameters

- svd - the singular value solver context

- V - the basis vectors object for right singular vectors

- U - the basis vectors object for left singular vectors

## Note

Use `SVDGetBV()` to retrieve the basis vectors contexts (for example, to free them at the end of the computations).

## See Also

SVD: Singular Value Decomposition, `SVDGetBV()`

## Level

advanced

## Location

src/svd/interface/svdbasic.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages